////////////////////////////////////////////////////////////////////////
//
//        File  Name : terminal.h
//        Class Name : terminal
//        Author     : Young-ki Hwang
//        Date       : April 30, 1996
//        Description: This is the "signals" class definition.
//                     It defines signal handling between the processes.
//
///////////////////////////////////////////////////////////////////////

#include <signal.h>
#include "ipc.h"

extern "C" kill(int, int);

#ifndef _signla_h
#define _signal_h

class signals : public ipc
{
   public:
       // handle when a signal comes in from the other process.
       int receive(int sig, void( (*func)() ))    { signal(sig, (*func)); }
    
       // send a signal to other process.
       int send(int pid, int sig)     { kill(pid, sig); }
};

#endif

